/*
 * $Id: dvect5.cpp 1112 2013-07-12 21:41:41Z johnoel $
 *
 * Author: David Fournier
 * Copyright (c) 2008-2012 Regents of the University of California
 */
/**
 * \file
 * Description not yet available.
 */
#include "fvar.hpp"

/**
 * Sets all elements to zero.
 */
void dvector::initialize(void)
{
  if (!(!(*this)))  // only initialize allocated objects
  {
    for (int i=indexmin();i<=indexmax();i++)
    {
      elem(i)=0.0;
    }
  }
}
